Package org.springframework.security.web.server.header

# Class StaticServerHttpHeadersWriter.Builder

java.lang.Object
org.springframework.security.web.server.header.StaticServerHttpHeadersWriter.Builder

Enclosing class:
  StaticServerHttpHeadersWriter

public static class StaticServerHttpHeadersWriter.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`StaticServerHttpHeadersWriter`
`build()`
`StaticServerHttpHeadersWriter.Builder`
`header(String headerName, String... values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### header

public StaticServerHttpHeadersWriter.Builder header(String headerName, String... values)

### build

public StaticServerHttpHeadersWriter build()